from pyramid.httpexceptions import HTTPFound
from pyramid.url import resource_url
from pyramid.view import view_config

from pybookbuilder.resources import RootContainer

@view_config(context=RootContainer, renderer='pybookbuilder:templates/layout.pt')
def root_view(context, request):
    redirect_url = resource_url(context['books'], request)
    return HTTPFound(headers={'location':redirect_url})

